/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_ACOSH_H
#define MASS_ACOSH_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _acoshf4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var48;
    vector float var49;
    vector float var5;
    vector float var50;
    vector float var51;
    vector float var52;
    vector float var53;
    vector float var54;
    vector float var55;
    vector float var56;
    vector float var57;
    vector float var58;
    vector float var59;
    vector float var6;
    vector float var60;
    vector float var61;
    vector float var7;
    vector float var8;
    vector float var9;
    var10=(vector float)(vector unsigned char){63,0,0,0,63,0,0,0,63,0,0,0,63,0,0,0};
    var14=(vector float)(vector unsigned char){95,128,0,0,95,128,0,0,95,128,0,0,95,128,0,0};
    var18=(vector float)(vector unsigned char){0,127,255,255,0,127,255,255,0,127,255,255,0,127,255,255};
    var2=(vector float)(vector unsigned char){63,49,114,24,63,49,114,24,63,49,114,24,63,49,114,24};
    var20=(vector float)(vector unsigned char){63,63,63,63,63,63,63,64,128,144,160,176,192,208,224,0};
    var21=(vector float)(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var22=(vector float)(vector unsigned char){0,8,16,24,0,8,16,24,0,8,16,24,0,8,16,24};
    var24=(vector float)(vector unsigned char){0,0,0,0,4,4,4,4,8,8,8,8,12,12,12,12};
    var26=(vector float)(vector unsigned char){7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7};
    var3=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var30=(vector float)(vector unsigned char){62,61,61,61,60,60,60,60,99,253,153,66,255,173,115,43};
    var31=(vector float)(vector unsigned char){113,34,63,68,215,253,72,137,21,116,241,0,34,126,116,137};
    var33=(vector float)(vector unsigned char){190,190,190,189,189,189,189,188,180,97,20,203,144,81,28,183};
    var34=(vector float)(vector unsigned char){236,201,174,169,28,156,13,24,181,242,17,200,10,152,208,222};
    var37=(vector float)(vector unsigned char){62,62,62,62,62,61,61,61,246,172,123,61,17,229,183,118};
    var38=(vector float)(vector unsigned char){10,200,248,86,218,115,185,67,223,200,245,142,133,243,37,176};
    var4=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var41=(vector float)(vector unsigned char){191,191,190,190,190,190,190,190,56,17,236,195,164,139,113,56};
    var42=(vector float)(vector unsigned char){169,231,94,88,37,221,49,170,213,250,120,202,89,55,200,43};
    var45=(vector float)(vector unsigned char){63,63,63,63,63,63,63,63,184,164,147,134,118,99,83,56};
    var46=(vector float)(vector unsigned char){170,37,187,77,56,71,11,170,60,138,99,67,80,172,178,60};
    var50=(vector float)(vector unsigned char){128,128,128,0,128,128,128,4,128,128,128,8,128,128,128,12};
    var54=(vector float)(vector unsigned char){0,62,62,62,63,63,63,63,0,46,164,235,21,51,78,128};
    var55=(vector float)(vector unsigned char){0,0,211,58,192,80,174,0,0,210,195,160,27,5,208,0};
    var59=(vector float)(vector unsigned char){51,155,67,212,51,155,67,212,51,155,67,212,51,155,67,212};
    var15=(vector float)si_fcmgt((arg_t)var1,(arg_t)var14);
    var5=(vector float)si_fms((arg_t)var1,(arg_t)var1,(arg_t)var4);
    var6=(vector float)si_frsqest((arg_t)var5);
    var7=(vector float)si_fi((arg_t)var5,(arg_t)var6);
    var11=(vector float)si_fm((arg_t)var7,(arg_t)var10);
    var8=(vector float)si_fm((arg_t)var5,(arg_t)var7);
    var9=(vector float)si_fnms((arg_t)var8,(arg_t)var7,(arg_t)var4);
    var12=(vector float)si_fma((arg_t)var9,(arg_t)var11,(arg_t)var7);
    var13=(vector float)si_fm((arg_t)var5,(arg_t)var12);
    var16=(vector float)si_selb((arg_t)var13,(arg_t)var1,(arg_t)var15);
    var17=(vector float)si_fa((arg_t)var1,(arg_t)var16);
    var49=(vector float)si_shli((arg_t)var17,(int)1);
    var51=(vector float)si_shufb((arg_t)var49,(arg_t)var49,(arg_t)var50);
    var52=(vector float)si_ai((arg_t)var51,(int)-127);
    var53=(vector float)si_csflt((arg_t)var52,(int)0);
    var23=(vector float)si_roti((arg_t)var17,(int)4);
    var25=(vector float)si_shufb((arg_t)var23,(arg_t)var23,(arg_t)var24);
    var27=(vector float)si_selb((arg_t)var22,(arg_t)var25,(arg_t)var26);
    var56=(vector float)si_shufb((arg_t)var54,(arg_t)var55,(arg_t)var27);
    var57=(vector float)si_fa((arg_t)var53,(arg_t)var56);
    var47=(vector float)si_shufb((arg_t)var45,(arg_t)var46,(arg_t)var27);
    var43=(vector float)si_shufb((arg_t)var41,(arg_t)var42,(arg_t)var27);
    var39=(vector float)si_shufb((arg_t)var37,(arg_t)var38,(arg_t)var27);
    var35=(vector float)si_shufb((arg_t)var33,(arg_t)var34,(arg_t)var27);
    var32=(vector float)si_shufb((arg_t)var30,(arg_t)var31,(arg_t)var27);
    var28=(vector float)si_shufb((arg_t)var20,(arg_t)var21,(arg_t)var27);
    var19=(vector float)si_selb((arg_t)var3,(arg_t)var17,(arg_t)var18);
    var29=(vector float)si_fs((arg_t)var19,(arg_t)var28);
    var36=(vector float)si_fma((arg_t)var29,(arg_t)var32,(arg_t)var35);
    var40=(vector float)si_fma((arg_t)var29,(arg_t)var36,(arg_t)var39);
    var44=(vector float)si_fma((arg_t)var29,(arg_t)var40,(arg_t)var43);
    var48=(vector float)si_fma((arg_t)var29,(arg_t)var44,(arg_t)var47);
    var58=(vector float)si_fma((arg_t)var29,(arg_t)var48,(arg_t)var57);
    var60=(vector float)si_fm((arg_t)var59,(arg_t)var58);
    var61=(vector float)si_fma((arg_t)var2,(arg_t)var58,(arg_t)var60);
    return var61;
}

#endif /* MASS_ACOSH_H */
