/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_EXPM1_H
#define MASS_EXPM1_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _expm1f4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var48;
    vector float var49;
    vector float var5;
    vector float var50;
    vector float var51;
    vector float var52;
    vector float var53;
    vector float var54;
    vector float var55;
    vector float var56;
    vector float var57;
    vector float var58;
    vector float var59;
    vector float var6;
    vector float var60;
    vector float var61;
    vector float var62;
    vector float var63;
    vector float var64;
    vector float var65;
    vector float var66;
    vector float var67;
    vector float var68;
    vector float var69;
    vector float var7;
    vector float var8;
    vector float var9;
    var10=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var12=(vector float)(vector unsigned char){0,15,255,255,0,15,255,255,0,15,255,255,0,15,255,255};
    var14=(vector float)(vector unsigned char){61,61,61,61,61,61,61,61,109,129,141,153,167,183,199,217};
    var15=(vector float)(vector unsigned char){113,119,47,246,229,24,170,188,148,146,82,146,229,23,96,159};
    var16=(vector float)(vector unsigned char){0,8,16,24,0,8,16,24,0,8,16,24,0,8,16,24};
    var18=(vector float)(vector unsigned char){0,0,0,0,4,4,4,4,8,8,8,8,12,12,12,12};
    var2=(vector float)(vector unsigned char){63,184,170,60,63,184,170,60,63,184,170,60,63,184,170,60};
    var20=(vector float)(vector unsigned char){7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7};
    var23=(vector float)(vector unsigned char){61,61,61,61,61,61,61,61,135,147,161,175,191,208,227,248};
    var24=(vector float)(vector unsigned char){107,173,10,158,131,216,191,92,159,79,251,87,107,200,194,179};
    var27=(vector float)(vector unsigned char){62,62,62,63,63,63,63,63,198,216,235,0,12,24,38,53};
    var28=(vector float)(vector unsigned char){36,19,161,122,27,201,157,178,109,97,217,185,150,225,253,129};
    var31=(vector float)(vector unsigned char){62,63,63,63,63,63,63,63,250,8,20,34,49,65,82,101};
    var32=(vector float)(vector unsigned char){82,125,215,80,1,6,126,139,121,55,170,87,38,87,184,227};
    var36=(vector float)(vector unsigned char){127,255,255,255,127,255,255,255,127,255,255,255,127,255,255,255};
    var37=(vector float)(vector unsigned char){67,0,255,255,67,0,255,255,67,0,255,255,67,0,255,255};
    var4=(vector float)(vector unsigned char){194,254,0,0,194,254,0,0,194,254,0,0,194,254,0,0};
    var40=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var42=(vector float)(vector unsigned char){60,60,61,61,61,61,61,61,197,231,7,34,50,87,124,147};
    var43=(vector float)(vector unsigned char){158,10,14,233,236,209,81,126,114,57,120,136,194,217,157,203};
    var44=(vector float)(vector unsigned char){62,204,204,204,62,204,204,204,62,204,204,204,62,204,204,204};
    var45=(vector float)(vector unsigned char){63,160,0,0,63,160,0,0,63,160,0,0,63,160,0,0};
    var51=(vector float)(vector unsigned char){62,62,62,62,62,62,62,62,24,32,38,42,42,37,25,5};
    var52=(vector float)(vector unsigned char){217,165,182,141,139,62,195,172,49,220,190,239,84,17,96,211};
    var55=(vector float)(vector unsigned char){62,62,62,62,63,63,63,63,251,254,255,255,0,0,1,5};
    var56=(vector float)(vector unsigned char){97,32,143,255,0,80,175,64,170,175,16,225,18,156,165,174};
    var59=(vector float)(vector unsigned char){63,63,63,63,63,63,63,63,127,127,127,128,128,127,127,126};
    var60=(vector float)(vector unsigned char){100,210,249,0,0,246,171,137,47,213,190,0,0,219,102,154};
    var63=(vector float)(vector unsigned char){185,184,182,0,0,54,56,58,132,90,140,0,0,208,209,36};
    var64=(vector float)(vector unsigned char){93,79,128,0,0,148,217,240,237,92,215,0,0,5,15,238};
    var67=(vector float)(vector unsigned char){63,32,0,0,63,32,0,0,63,32,0,0,63,32,0,0};
    var8=(vector float)(vector unsigned char){255,128,0,0,255,128,0,0,255,128,0,0,255,128,0,0};
    var68=(vector float)si_fcmgt((arg_t)var67,(arg_t)var1);
    var46=(vector float)si_fma((arg_t)var1,(arg_t)var44,(arg_t)var45);
    var47=(vector float)si_roti((arg_t)var46,(int)5);
    var48=(vector float)si_shufb((arg_t)var47,(arg_t)var47,(arg_t)var18);
    var49=(vector float)si_selb((arg_t)var16,(arg_t)var48,(arg_t)var20);
    var65=(vector float)si_shufb((arg_t)var63,(arg_t)var64,(arg_t)var49);
    var61=(vector float)si_shufb((arg_t)var59,(arg_t)var60,(arg_t)var49);
    var57=(vector float)si_shufb((arg_t)var55,(arg_t)var56,(arg_t)var49);
    var53=(vector float)si_shufb((arg_t)var51,(arg_t)var52,(arg_t)var49);
    var50=(vector float)si_shufb((arg_t)var42,(arg_t)var43,(arg_t)var49);
    var54=(vector float)si_fma((arg_t)var1,(arg_t)var50,(arg_t)var53);
    var58=(vector float)si_fma((arg_t)var1,(arg_t)var54,(arg_t)var57);
    var62=(vector float)si_fma((arg_t)var1,(arg_t)var58,(arg_t)var61);
    var66=(vector float)si_fma((arg_t)var1,(arg_t)var62,(arg_t)var65);
    var3=(vector float)si_fm((arg_t)var1,(arg_t)var2);
    var38=(vector float)si_fcgt((arg_t)var3,(arg_t)var37);
    var5=(vector float)si_fcgt((arg_t)var4,(arg_t)var3);
    var6=(vector float)si_selb((arg_t)var3,(arg_t)var4,(arg_t)var5);
    var7=(vector float)si_cflts((arg_t)var6,(int)23);
    var17=(vector float)si_roti((arg_t)var7,(int)4);
    var19=(vector float)si_shufb((arg_t)var17,(arg_t)var17,(arg_t)var18);
    var21=(vector float)si_selb((arg_t)var16,(arg_t)var19,(arg_t)var20);
    var33=(vector float)si_shufb((arg_t)var31,(arg_t)var32,(arg_t)var21);
    var29=(vector float)si_shufb((arg_t)var27,(arg_t)var28,(arg_t)var21);
    var25=(vector float)si_shufb((arg_t)var23,(arg_t)var24,(arg_t)var21);
    var22=(vector float)si_shufb((arg_t)var14,(arg_t)var15,(arg_t)var21);
    var13=(vector float)si_selb((arg_t)var10,(arg_t)var7,(arg_t)var12);
    var26=(vector float)si_fma((arg_t)var13,(arg_t)var22,(arg_t)var25);
    var30=(vector float)si_fma((arg_t)var13,(arg_t)var26,(arg_t)var29);
    var34=(vector float)si_fma((arg_t)var13,(arg_t)var30,(arg_t)var33);
    var9=(vector float)si_and((arg_t)var7,(arg_t)var8);
    var11=(vector float)si_a((arg_t)var9,(arg_t)var10);
    var35=(vector float)si_fm((arg_t)var11,(arg_t)var34);
    var39=(vector float)si_selb((arg_t)var35,(arg_t)var36,(arg_t)var38);
    var41=(vector float)si_fs((arg_t)var39,(arg_t)var40);
    var69=(vector float)si_selb((arg_t)var41,(arg_t)var66,(arg_t)var68);
    return var69;
}

#endif /* MASS_EXPM1_H */
