/*---------------------------------------------------------------*/
/* C declarations for the SIMD single-precision MASS functions   */
/* that are not in SDK simdmath.h.                               */
/*---------------------------------------------------------------*/

/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

/* SCCS ID STRING    14  1.9 8/20/07 13:38:22        3/6/08 12:03:54 */

#ifdef __cplusplus
extern "C" {
#endif

vector float qdrtf4(vector float vx);
vector float rcbrtf4(vector float vx);
vector float rqdrtf4(vector float vx);

#ifdef __cplusplus
}
#endif
