/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_ASINH_H
#define MASS_ASINH_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _asinhf4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var48;
    vector float var49;
    vector float var5;
    vector float var50;
    vector float var51;
    vector float var52;
    vector float var53;
    vector float var54;
    vector float var55;
    vector float var56;
    vector float var57;
    vector float var58;
    vector float var59;
    vector float var6;
    vector float var60;
    vector float var61;
    vector float var62;
    vector float var63;
    vector float var64;
    vector float var65;
    vector float var66;
    vector float var67;
    vector float var68;
    vector float var69;
    vector float var7;
    vector float var70;
    vector float var71;
    vector float var72;
    vector float var73;
    vector float var74;
    vector float var75;
    vector float var76;
    vector float var77;
    vector float var78;
    vector float var79;
    vector float var8;
    vector float var80;
    vector float var81;
    vector float var82;
    vector float var83;
    vector float var84;
    vector float var85;
    vector float var86;
    vector float var87;
    vector float var88;
    vector float var89;
    vector float var9;
    vector float var90;
    vector float var91;
    vector float var92;
    vector float var93;
    var11=(vector float)(vector unsigned char){28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28};
    var14=(vector float)(vector unsigned char){190,43,10,11,190,46,123,63,190,52,170,154,190,60,91,181};
    var15=(vector float)(vector unsigned char){190,68,14,123,190,74,75,140,190,77,227,70,190,78,19,11};
    var18=(vector float)(vector unsigned char){54,152,91,4,57,104,254,32,58,128,135,145,59,28,105,42};
    var19=(vector float)(vector unsigned char){59,139,131,237,59,201,116,207,59,244,3,212,59,246,8,150};
    var2=(vector float)(vector unsigned char){128,0,0,0,128,0,0,0,128,0,0,0,128,0,0,0};
    var22=(vector float)(vector unsigned char){63,128,0,0,63,127,255,175,63,127,253,149,63,127,247,206};
    var23=(vector float)(vector unsigned char){63,127,237,155,63,127,224,198,63,127,214,66,63,127,213,215};
    var26=(vector float)(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var29=(vector float)(vector unsigned char){63,49,114,24,63,49,114,24,63,49,114,24,63,49,114,24};
    var30=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var31=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var36=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var38=(vector float)(vector unsigned char){63,0,0,0,63,0,0,0,63,0,0,0,63,0,0,0};
    var4=(vector float)(vector unsigned char){60,24,244,121,60,224,48,38,61,50,117,132,61,105,128,200};
    var43=(vector float)(vector unsigned char){95,128,0,0,95,128,0,0,95,128,0,0,95,128,0,0};
    var46=(vector float)(vector unsigned char){0,127,255,255,0,127,255,255,0,127,255,255,0,127,255,255};
    var48=(vector float)(vector unsigned char){63,63,63,63,63,63,63,64,128,144,160,176,192,208,224,0};
    var49=(vector float)(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var5=(vector float)(vector unsigned char){61,137,109,42,61,150,218,64,61,157,84,62,61,157,173,173};
    var50=(vector float)(vector unsigned char){0,8,16,24,0,8,16,24,0,8,16,24,0,8,16,24};
    var52=(vector float)(vector unsigned char){0,0,0,0,4,4,4,4,8,8,8,8,12,12,12,12};
    var54=(vector float)(vector unsigned char){7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7};
    var58=(vector float)(vector unsigned char){62,61,61,61,60,60,60,60,99,253,153,66,255,173,115,43};
    var59=(vector float)(vector unsigned char){113,34,63,68,215,253,72,137,21,116,241,0,34,126,116,137};
    var6=(vector float)(vector unsigned char){0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3};
    var61=(vector float)(vector unsigned char){190,190,190,189,189,189,189,188,180,97,20,203,144,81,28,183};
    var62=(vector float)(vector unsigned char){236,201,174,169,28,156,13,24,181,242,17,200,10,152,208,222};
    var65=(vector float)(vector unsigned char){62,62,62,62,62,61,61,61,246,172,123,61,17,229,183,118};
    var66=(vector float)(vector unsigned char){10,200,248,86,218,115,185,67,223,200,245,142,133,243,37,176};
    var69=(vector float)(vector unsigned char){191,191,190,190,190,190,190,190,56,17,236,195,164,139,113,56};
    var7=(vector float)(vector unsigned char){64,0,0,0,64,0,0,0,64,0,0,0,64,0,0,0};
    var70=(vector float)(vector unsigned char){169,231,94,88,37,221,49,170,213,250,120,202,89,55,200,43};
    var73=(vector float)(vector unsigned char){63,63,63,63,63,63,63,63,184,164,147,134,118,99,83,56};
    var74=(vector float)(vector unsigned char){170,37,187,77,56,71,11,170,60,138,99,67,80,172,178,60};
    var78=(vector float)(vector unsigned char){128,128,128,0,128,128,128,4,128,128,128,8,128,128,128,12};
    var82=(vector float)(vector unsigned char){0,62,62,62,63,63,63,63,0,46,164,235,21,51,78,128};
    var83=(vector float)(vector unsigned char){0,0,211,58,192,80,174,0,0,210,195,160,27,5,208,0};
    var87=(vector float)(vector unsigned char){51,93,206,157,51,93,206,157,51,93,206,157,51,93,206,157};
    var9=(vector float)(vector unsigned char){1,1,1,1,5,5,5,5,9,9,9,9,13,13,13,13};
    var91=(vector float)(vector unsigned char){62,255,255,254,62,255,255,254,62,255,255,254,62,255,255,254};
    var92=(vector float)si_fcmgt((arg_t)var1,(arg_t)var91);
    var44=(vector float)si_fcmgt((arg_t)var1,(arg_t)var43);
    var27=(vector float)si_fm((arg_t)var26,(arg_t)var1);
    var3=(vector float)si_andc((arg_t)var1,(arg_t)var2);
    var42=(vector float)si_fa((arg_t)var3,(arg_t)var3);
    var32=(vector float)si_fma((arg_t)var3,(arg_t)var3,(arg_t)var31);
    var33=(vector float)si_frsqest((arg_t)var32);
    var34=(vector float)si_fi((arg_t)var32,(arg_t)var33);
    var39=(vector float)si_fm((arg_t)var34,(arg_t)var38);
    var35=(vector float)si_fm((arg_t)var32,(arg_t)var34);
    var37=(vector float)si_fnms((arg_t)var35,(arg_t)var34,(arg_t)var36);
    var40=(vector float)si_fma((arg_t)var37,(arg_t)var39,(arg_t)var34);
    var41=(vector float)si_fma((arg_t)var32,(arg_t)var40,(arg_t)var3);
    var45=(vector float)si_selb((arg_t)var41,(arg_t)var42,(arg_t)var44);
    var77=(vector float)si_shli((arg_t)var45,(int)1);
    var79=(vector float)si_shufb((arg_t)var77,(arg_t)var77,(arg_t)var78);
    var80=(vector float)si_ai((arg_t)var79,(int)-127);
    var81=(vector float)si_csflt((arg_t)var80,(int)0);
    var51=(vector float)si_roti((arg_t)var45,(int)4);
    var53=(vector float)si_shufb((arg_t)var51,(arg_t)var51,(arg_t)var52);
    var55=(vector float)si_selb((arg_t)var50,(arg_t)var53,(arg_t)var54);
    var84=(vector float)si_shufb((arg_t)var82,(arg_t)var83,(arg_t)var55);
    var85=(vector float)si_fa((arg_t)var81,(arg_t)var84);
    var75=(vector float)si_shufb((arg_t)var73,(arg_t)var74,(arg_t)var55);
    var71=(vector float)si_shufb((arg_t)var69,(arg_t)var70,(arg_t)var55);
    var67=(vector float)si_shufb((arg_t)var65,(arg_t)var66,(arg_t)var55);
    var63=(vector float)si_shufb((arg_t)var61,(arg_t)var62,(arg_t)var55);
    var60=(vector float)si_shufb((arg_t)var58,(arg_t)var59,(arg_t)var55);
    var56=(vector float)si_shufb((arg_t)var48,(arg_t)var49,(arg_t)var55);
    var47=(vector float)si_selb((arg_t)var30,(arg_t)var45,(arg_t)var46);
    var57=(vector float)si_fs((arg_t)var47,(arg_t)var56);
    var64=(vector float)si_fma((arg_t)var57,(arg_t)var60,(arg_t)var63);
    var68=(vector float)si_fma((arg_t)var57,(arg_t)var64,(arg_t)var67);
    var72=(vector float)si_fma((arg_t)var57,(arg_t)var68,(arg_t)var71);
    var76=(vector float)si_fma((arg_t)var57,(arg_t)var72,(arg_t)var75);
    var86=(vector float)si_fma((arg_t)var57,(arg_t)var76,(arg_t)var85);
    var88=(vector float)si_fm((arg_t)var87,(arg_t)var86);
    var89=(vector float)si_fma((arg_t)var29,(arg_t)var86,(arg_t)var88);
    var90=(vector float)si_selb((arg_t)var89,(arg_t)var1,(arg_t)var2);
    var8=(vector float)si_fa((arg_t)var3,(arg_t)var7);
    var10=(vector float)si_shufb((arg_t)var8,(arg_t)var8,(arg_t)var9);
    var12=(vector float)si_selb((arg_t)var6,(arg_t)var10,(arg_t)var11);
    var24=(vector float)si_shufb((arg_t)var22,(arg_t)var23,(arg_t)var12);
    var20=(vector float)si_shufb((arg_t)var18,(arg_t)var19,(arg_t)var12);
    var16=(vector float)si_shufb((arg_t)var14,(arg_t)var15,(arg_t)var12);
    var13=(vector float)si_shufb((arg_t)var4,(arg_t)var5,(arg_t)var12);
    var17=(vector float)si_fma((arg_t)var3,(arg_t)var13,(arg_t)var16);
    var21=(vector float)si_fma((arg_t)var3,(arg_t)var17,(arg_t)var20);
    var25=(vector float)si_fma((arg_t)var3,(arg_t)var21,(arg_t)var24);
    var28=(vector float)si_fma((arg_t)var1,(arg_t)var25,(arg_t)var27);
    var93=(vector float)si_selb((arg_t)var28,(arg_t)var90,(arg_t)var92);
    return var93;
}

#endif /* MASS_ASINH_H */
