/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_ATAN_H
#define MASS_ATAN_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _atanf4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var5;
    vector float var6;
    vector float var7;
    vector float var8;
    vector float var9;
    var11=(vector float)(vector unsigned char){189,243,189,171,189,123,189,60,189,17,188,228,188,182,188,147};
    var12=(vector float)(vector unsigned char){14,120,180,218,12,203,189,32,63,79,3,149,12,81,125,47};
    var13=(vector float)(vector unsigned char){0,1,16,17,0,1,16,17,0,1,16,17,0,1,16,17};
    var14=(vector float)(vector unsigned char){61,255,255,255,61,255,255,255,61,255,255,255,61,255,255,255};
    var16=(vector float)(vector unsigned char){1,1,1,1,5,5,5,5,9,9,9,9,13,13,13,13};
    var18=(vector float)(vector unsigned char){14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14};
    var21=(vector float)(vector unsigned char){62,74,62,62,62,45,62,27,62,11,61,249,61,224,61,201};
    var22=(vector float)(vector unsigned char){246,52,20,57,12,210,179,224,129,203,224,121,31,209,132,130};
    var25=(vector float)(vector unsigned char){190,170,190,169,190,167,190,164,190,160,190,155,190,151,190,146};
    var26=(vector float)(vector unsigned char){164,245,213,182,184,51,124,28,116,32,234,178,26,22,43,25};
    var29=(vector float)(vector unsigned char){63,127,63,127,63,127,63,127,63,127,63,126,63,126,63,125};
    var30=(vector float)(vector unsigned char){255,255,251,119,228,206,177,23,91,62,226,123,72,169,144,193};
    var33=(vector float)(vector unsigned char){51,128,0,0,51,128,0,0,51,128,0,0,51,128,0,0};
    var36=(vector float)(vector unsigned char){63,201,15,219,63,201,15,219,63,201,15,219,63,201,15,219};
    var37=(vector float)(vector unsigned char){128,0,0,0,128,0,0,0,128,0,0,0,128,0,0,0};
    var4=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var7=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var38=(vector float)si_selb((arg_t)var36,(arg_t)var1,(arg_t)var37);
    var8=(vector float)si_fcmgt((arg_t)var1,(arg_t)var7);
    var2=(vector float)si_frest((arg_t)var1);
    var3=(vector float)si_fi((arg_t)var1,(arg_t)var2);
    var5=(vector float)si_fnms((arg_t)var1,(arg_t)var3,(arg_t)var4);
    var6=(vector float)si_fma((arg_t)var5,(arg_t)var3,(arg_t)var3);
    var9=(vector float)si_selb((arg_t)var1,(arg_t)var6,(arg_t)var8);
    var34=(vector float)si_fm((arg_t)var9,(arg_t)var33);
    var10=(vector float)si_fm((arg_t)var9,(arg_t)var9);
    var15=(vector float)si_fma((arg_t)var10,(arg_t)var14,(arg_t)var7);
    var17=(vector float)si_shufb((arg_t)var15,(arg_t)var15,(arg_t)var16);
    var19=(vector float)si_selb((arg_t)var13,(arg_t)var17,(arg_t)var18);
    var31=(vector float)si_shufb((arg_t)var29,(arg_t)var30,(arg_t)var19);
    var27=(vector float)si_shufb((arg_t)var25,(arg_t)var26,(arg_t)var19);
    var23=(vector float)si_shufb((arg_t)var21,(arg_t)var22,(arg_t)var19);
    var20=(vector float)si_shufb((arg_t)var11,(arg_t)var12,(arg_t)var19);
    var24=(vector float)si_fma((arg_t)var10,(arg_t)var20,(arg_t)var23);
    var28=(vector float)si_fma((arg_t)var10,(arg_t)var24,(arg_t)var27);
    var32=(vector float)si_fma((arg_t)var10,(arg_t)var28,(arg_t)var31);
    var35=(vector float)si_fma((arg_t)var9,(arg_t)var32,(arg_t)var34);
    var39=(vector float)si_fs((arg_t)var38,(arg_t)var35);
    var40=(vector float)si_selb((arg_t)var35,(arg_t)var39,(arg_t)var8);
    return var40;
}

#endif /* MASS_ATAN_H */
