/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_COS_H
#define MASS_COS_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _cosf4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var48;
    vector float var49;
    vector float var5;
    vector float var50;
    vector float var51;
    vector float var52;
    vector float var53;
    vector float var54;
    vector float var55;
    vector float var56;
    vector float var57;
    vector float var6;
    vector float var7;
    vector float var8;
    vector float var9;
    var10=(vector float)(vector unsigned char){2,128,128,128,6,128,128,128,10,128,128,128,14,128,128,128};
    var12=(vector float)(vector unsigned char){181,171,187,211,181,171,187,211,181,171,187,211,181,171,187,211};
    var15=(vector float)(vector unsigned char){58,126,0,0,58,126,0,0,58,126,0,0,58,126,0,0};
    var16=(vector float)(vector unsigned char){64,73,0,0,64,73,0,0,64,73,0,0,64,73,0,0};
    var2=(vector float)(vector unsigned char){62,162,249,131,62,162,249,131,62,162,249,131,62,162,249,131};
    var20=(vector float)(vector unsigned char){63,201,15,218,63,201,15,218,63,201,15,218,63,201,15,218};
    var23=(vector float)(vector unsigned char){185,80,13,5,185,78,239,206,185,77,42,181,185,74,137,57};
    var24=(vector float)(vector unsigned char){185,71,18,97,185,66,207,97,185,61,203,121,185,56,19,200};
    var25=(vector float)(vector unsigned char){0,1,2,3,0,1,2,3,0,1,2,3,0,1,2,3};
    var29=(vector float)(vector unsigned char){2,2,2,2,6,6,6,6,10,10,10,10,14,14,14,14};
    var3=(vector float)(vector unsigned char){63,0,0,0,63,0,0,0,63,0,0,0,63,0,0,0};
    var31=(vector float)(vector unsigned char){28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28};
    var34=(vector float)(vector unsigned char){60,8,136,141,60,8,135,237,60,8,132,79,60,8,120,216};
    var35=(vector float)(vector unsigned char){60,8,94,135,60,8,44,106,60,7,215,237,60,7,85,59};
    var38=(vector float)(vector unsigned char){190,42,170,171,190,42,170,170,190,42,170,160,190,42,170,92};
    var39=(vector float)(vector unsigned char){190,42,169,79,190,42,166,57,190,42,158,199,190,42,143,43};
    var42=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,127,255,254};
    var43=(vector float)(vector unsigned char){63,127,255,240,63,127,255,174,63,127,254,206,63,127,252,79};
    var46=(vector float)(vector unsigned char){51,128,0,0,51,116,144,134,51,97,97,15,51,69,136,122};
    var47=(vector float)(vector unsigned char){51,34,24,200,50,240,221,70,50,148,71,244,49,200,1,236};
    var49=(vector float)(vector unsigned char){0,0,0,0,48,6,137,153,49,27,251,73,49,210,7,137};
    var50=(vector float)(vector unsigned char){50,88,177,59,50,190,75,107,51,21,187,174,51,89,76,241};
    var6=(vector float)(vector unsigned char){0,0,32,0,0,0,32,0,0,0,32,0,0,0,32,0};
    var4=(vector float)si_fma((arg_t)var1,(arg_t)var2,(arg_t)var3);
    var5=(vector float)si_cflts((arg_t)var4,(int)14);
    var7=(vector float)si_a((arg_t)var5,(arg_t)var6);
    var26=(vector float)si_rotqbii((arg_t)var7,(int)2);
    var27=(vector float)si_cgtbi((arg_t)var26,(int)-1);
    var52=(vector float)si_shufb((arg_t)var27,(arg_t)var27,(arg_t)var10);
    var53=(vector float)si_andbi((arg_t)var52,(int)128);
    var28=(vector float)si_xor((arg_t)var7,(arg_t)var27);
    var30=(vector float)si_shufb((arg_t)var28,(arg_t)var28,(arg_t)var29);
    var32=(vector float)si_selb((arg_t)var25,(arg_t)var30,(arg_t)var31);
    var51=(vector float)si_shufb((arg_t)var49,(arg_t)var50,(arg_t)var32);
    var54=(vector float)si_xor((arg_t)var51,(arg_t)var53);
    var48=(vector float)si_shufb((arg_t)var46,(arg_t)var47,(arg_t)var32);
    var44=(vector float)si_shufb((arg_t)var42,(arg_t)var43,(arg_t)var32);
    var40=(vector float)si_shufb((arg_t)var38,(arg_t)var39,(arg_t)var32);
    var36=(vector float)si_shufb((arg_t)var34,(arg_t)var35,(arg_t)var32);
    var33=(vector float)si_shufb((arg_t)var23,(arg_t)var24,(arg_t)var32);
    var13=(vector float)si_rotmai((arg_t)var7,(int)-14);
    var14=(vector float)si_csflt((arg_t)var13,(int)0);
    var17=(vector float)si_fnms((arg_t)var16,(arg_t)var14,(arg_t)var1);
    var18=(vector float)si_fnms((arg_t)var15,(arg_t)var14,(arg_t)var17);
    var19=(vector float)si_fnms((arg_t)var12,(arg_t)var14,(arg_t)var18);
    var21=(vector float)si_fa((arg_t)var19,(arg_t)var20);
    var55=(vector float)si_fma((arg_t)var21,(arg_t)var48,(arg_t)var54);
    var22=(vector float)si_fm((arg_t)var21,(arg_t)var21);
    var37=(vector float)si_fma((arg_t)var22,(arg_t)var33,(arg_t)var36);
    var41=(vector float)si_fma((arg_t)var22,(arg_t)var37,(arg_t)var40);
    var45=(vector float)si_fma((arg_t)var22,(arg_t)var41,(arg_t)var44);
    var56=(vector float)si_fma((arg_t)var21,(arg_t)var45,(arg_t)var55);
    var8=(vector float)si_rotqbii((arg_t)var7,(int)1);
    var9=(vector float)si_andbi((arg_t)var8,(int)128);
    var11=(vector float)si_shufb((arg_t)var9,(arg_t)var9,(arg_t)var10);
    var57=(vector float)si_xor((arg_t)var11,(arg_t)var56);
    return var57;
}

#endif /* MASS_COS_H */
