/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_LOG10_H
#define MASS_LOG10_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _log10f4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var5;
    vector float var6;
    vector float var7;
    vector float var8;
    vector float var9;
    var10=(vector float)(vector unsigned char){0,0,0,0,4,4,4,4,8,8,8,8,12,12,12,12};
    var12=(vector float)(vector unsigned char){7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7};
    var16=(vector float)(vector unsigned char){62,61,61,61,60,60,60,60,99,253,153,66,255,173,115,43};
    var17=(vector float)(vector unsigned char){113,34,63,68,215,253,72,137,21,116,241,0,34,126,116,137};
    var19=(vector float)(vector unsigned char){190,190,190,189,189,189,189,188,180,97,20,203,144,81,28,183};
    var2=(vector float)(vector unsigned char){62,154,32,155,62,154,32,155,62,154,32,155,62,154,32,155};
    var20=(vector float)(vector unsigned char){236,201,174,169,28,156,13,24,181,242,17,200,10,152,208,222};
    var23=(vector float)(vector unsigned char){62,62,62,62,62,61,61,61,246,172,123,61,17,229,183,118};
    var24=(vector float)(vector unsigned char){10,200,248,86,218,115,185,67,223,200,245,142,133,243,37,176};
    var27=(vector float)(vector unsigned char){191,191,190,190,190,190,190,190,56,17,236,195,164,139,113,56};
    var28=(vector float)(vector unsigned char){169,231,94,88,37,221,49,170,213,250,120,202,89,55,200,43};
    var3=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var31=(vector float)(vector unsigned char){63,63,63,63,63,63,63,63,184,164,147,134,118,99,83,56};
    var32=(vector float)(vector unsigned char){170,37,187,77,56,71,11,170,60,138,99,67,80,172,178,60};
    var36=(vector float)(vector unsigned char){128,128,128,0,128,128,128,4,128,128,128,8,128,128,128,12};
    var4=(vector float)(vector unsigned char){0,127,255,255,0,127,255,255,0,127,255,255,0,127,255,255};
    var40=(vector float)(vector unsigned char){0,62,62,62,63,63,63,63,0,46,164,235,21,51,78,128};
    var41=(vector float)(vector unsigned char){0,0,211,58,192,80,174,0,0,210,195,160,27,5,208,0};
    var45=(vector float)(vector unsigned char){50,231,48,231,50,231,48,231,50,231,48,231,50,231,48,231};
    var6=(vector float)(vector unsigned char){63,63,63,63,63,63,63,64,128,144,160,176,192,208,224,0};
    var7=(vector float)(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var8=(vector float)(vector unsigned char){0,8,16,24,0,8,16,24,0,8,16,24,0,8,16,24};
    var35=(vector float)si_shli((arg_t)var1,(int)1);
    var37=(vector float)si_shufb((arg_t)var35,(arg_t)var35,(arg_t)var36);
    var38=(vector float)si_ai((arg_t)var37,(int)-127);
    var39=(vector float)si_csflt((arg_t)var38,(int)0);
    var9=(vector float)si_roti((arg_t)var1,(int)4);
    var11=(vector float)si_shufb((arg_t)var9,(arg_t)var9,(arg_t)var10);
    var13=(vector float)si_selb((arg_t)var8,(arg_t)var11,(arg_t)var12);
    var42=(vector float)si_shufb((arg_t)var40,(arg_t)var41,(arg_t)var13);
    var43=(vector float)si_fa((arg_t)var39,(arg_t)var42);
    var33=(vector float)si_shufb((arg_t)var31,(arg_t)var32,(arg_t)var13);
    var29=(vector float)si_shufb((arg_t)var27,(arg_t)var28,(arg_t)var13);
    var25=(vector float)si_shufb((arg_t)var23,(arg_t)var24,(arg_t)var13);
    var21=(vector float)si_shufb((arg_t)var19,(arg_t)var20,(arg_t)var13);
    var18=(vector float)si_shufb((arg_t)var16,(arg_t)var17,(arg_t)var13);
    var14=(vector float)si_shufb((arg_t)var6,(arg_t)var7,(arg_t)var13);
    var5=(vector float)si_selb((arg_t)var3,(arg_t)var1,(arg_t)var4);
    var15=(vector float)si_fs((arg_t)var5,(arg_t)var14);
    var22=(vector float)si_fma((arg_t)var15,(arg_t)var18,(arg_t)var21);
    var26=(vector float)si_fma((arg_t)var15,(arg_t)var22,(arg_t)var25);
    var30=(vector float)si_fma((arg_t)var15,(arg_t)var26,(arg_t)var29);
    var34=(vector float)si_fma((arg_t)var15,(arg_t)var30,(arg_t)var33);
    var44=(vector float)si_fma((arg_t)var15,(arg_t)var34,(arg_t)var43);
    var46=(vector float)si_fm((arg_t)var45,(arg_t)var44);
    var47=(vector float)si_fma((arg_t)var2,(arg_t)var44,(arg_t)var46);
    return var47;
}

#endif /* MASS_LOG10_H */
