/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_RQDRT_H
#define MASS_RQDRT_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _rqdrtf4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var3;
    vector float var4;
    vector float var5;
    vector float var6;
    vector float var7;
    vector float var8;
    vector float var9;
    var13=(vector float)(vector unsigned char){190,128,0,0,190,128,0,0,190,128,0,0,190,128,0,0};
    var17=(vector float)(vector unsigned char){63,160,0,0,63,160,0,0,63,160,0,0,63,160,0,0};
    var23=(vector float)(vector unsigned char){51,128,0,0,51,128,0,0,51,128,0,0,51,128,0,0};
    var5=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var7=(vector float)(vector unsigned char){63,0,0,0,63,0,0,0,63,0,0,0,63,0,0,0};
    var14=(vector float)si_fm((arg_t)var13,(arg_t)var1);
    var2=(vector float)si_frsqest((arg_t)var1);
    var3=(vector float)si_fi((arg_t)var1,(arg_t)var2);
    var8=(vector float)si_fm((arg_t)var3,(arg_t)var7);
    var4=(vector float)si_fm((arg_t)var1,(arg_t)var3);
    var6=(vector float)si_fnms((arg_t)var4,(arg_t)var3,(arg_t)var5);
    var9=(vector float)si_fma((arg_t)var6,(arg_t)var8,(arg_t)var3);
    var10=(vector float)si_fm((arg_t)var1,(arg_t)var9);
    var11=(vector float)si_frsqest((arg_t)var10);
    var12=(vector float)si_fi((arg_t)var10,(arg_t)var11);
    var15=(vector float)si_fm((arg_t)var12,(arg_t)var12);
    var16=(vector float)si_fm((arg_t)var15,(arg_t)var15);
    var18=(vector float)si_fma((arg_t)var14,(arg_t)var16,(arg_t)var17);
    var19=(vector float)si_fm((arg_t)var12,(arg_t)var18);
    var24=(vector float)si_fm((arg_t)var19,(arg_t)var23);
    var20=(vector float)si_fm((arg_t)var19,(arg_t)var19);
    var21=(vector float)si_fm((arg_t)var20,(arg_t)var20);
    var22=(vector float)si_fma((arg_t)var14,(arg_t)var21,(arg_t)var17);
    var25=(vector float)si_fma((arg_t)var19,(arg_t)var22,(arg_t)var24);
    return var25;
}

#endif /* MASS_RQDRT_H */
