/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_SINCOS_H
#define MASS_SINCOS_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline void _sincosf4(vector float var1,vector float* var51,vector float* var53){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var48;
    vector float var49;
    vector float var5;
    vector float var50;
    vector float var52;
    vector float var6;
    vector float var7;
    vector float var8;
    vector float var9;
    var10=(vector float)(vector unsigned char){192,73,0,0,192,73,0,0,192,73,0,0,192,73,0,0};
    var14=(vector float)(vector unsigned char){61,61,61,61,61,61,61,61,40,41,42,42,42,42,41,40};
    var15=(vector float)(vector unsigned char){157,152,64,160,160,64,152,157,63,59,35,54,54,35,59,63};
    var16=(vector float)(vector unsigned char){0,8,16,24,0,8,16,24,0,8,16,24,0,8,16,24};
    var18=(vector float)(vector unsigned char){2,2,2,2,6,6,6,6,10,10,10,10,14,14,14,14};
    var2=(vector float)(vector unsigned char){67,162,249,132,67,162,249,132,67,162,249,132,67,162,249,132};
    var20=(vector float)(vector unsigned char){7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7};
    var23=(vector float)(vector unsigned char){190,190,190,191,191,190,190,190,255,255,255,0,0,255,255,255};
    var24=(vector float)(vector unsigned char){248,253,255,0,0,255,253,248,65,239,182,0,0,182,239,65};
    var27=(vector float)(vector unsigned char){63,63,63,63,63,63,63,63,127,127,128,128,128,128,127,127};
    var28=(vector float)(vector unsigned char){255,255,0,0,0,0,255,255,218,251,0,0,0,0,251,218};
    var3=(vector float)(vector unsigned char){67,0,0,0,67,0,0,0,67,0,0,0,67,0,0,0};
    var31=(vector float)(vector unsigned char){0,63,63,63,0,191,191,191,0,53,128,53,0,53,128,53};
    var32=(vector float)(vector unsigned char){0,4,0,4,0,4,0,4,0,244,0,244,0,244,0,244};
    var36=(vector float)(vector unsigned char){60,60,60,60,60,60,60,60,7,7,8,8,8,8,7,7};
    var37=(vector float)(vector unsigned char){92,235,75,130,130,75,235,92,0,162,165,143,143,165,162,0};
    var39=(vector float)(vector unsigned char){190,190,190,190,190,190,190,190,42,42,42,42,42,42,42,42};
    var40=(vector float)(vector unsigned char){168,170,170,170,170,170,170,168,115,19,149,171,171,149,19,115};
    var43=(vector float)(vector unsigned char){63,63,63,63,63,63,63,63,127,128,128,128,128,128,128,127};
    var44=(vector float)(vector unsigned char){255,0,0,0,0,0,0,255,251,0,0,0,0,0,0,251};
    var48=(vector float)(vector unsigned char){63,63,0,191,191,191,0,63,128,53,0,53,128,53,0,53};
    var6=(vector float)(vector unsigned char){0,1,2,128,4,5,6,128,8,9,10,128,12,13,14,128};
    var9=(vector float)(vector unsigned char){64,22,188,9,64,22,188,9,64,22,188,9,64,22,188,9};
    var4=(vector float)si_fma((arg_t)var1,(arg_t)var2,(arg_t)var3);
    var5=(vector float)si_cflts((arg_t)var4,(int)0);
    var33=(vector float)si_shufb((arg_t)var5,(arg_t)var5,(arg_t)var18);
    var34=(vector float)si_selb((arg_t)var16,(arg_t)var33,(arg_t)var20);
    var49=(vector float)si_shufb((arg_t)var48,(arg_t)var32,(arg_t)var34);
    var35=(vector float)si_shufb((arg_t)var31,(arg_t)var32,(arg_t)var34);
    var17=(vector float)si_roti((arg_t)var5,(int)3);
    var19=(vector float)si_shufb((arg_t)var17,(arg_t)var17,(arg_t)var18);
    var21=(vector float)si_selb((arg_t)var16,(arg_t)var19,(arg_t)var20);
    var45=(vector float)si_shufb((arg_t)var43,(arg_t)var44,(arg_t)var21);
    var41=(vector float)si_shufb((arg_t)var39,(arg_t)var40,(arg_t)var21);
    var38=(vector float)si_shufb((arg_t)var36,(arg_t)var37,(arg_t)var21);
    var29=(vector float)si_shufb((arg_t)var27,(arg_t)var28,(arg_t)var21);
    var25=(vector float)si_shufb((arg_t)var23,(arg_t)var24,(arg_t)var21);
    var22=(vector float)si_shufb((arg_t)var14,(arg_t)var15,(arg_t)var21);
    var7=(vector float)si_shufb((arg_t)var5,(arg_t)var5,(arg_t)var6);
    var8=(vector float)si_csflt((arg_t)var7,(int)8);
    var11=(vector float)si_fma((arg_t)var8,(arg_t)var10,(arg_t)var1);
    var12=(vector float)si_fma((arg_t)var8,(arg_t)var9,(arg_t)var11);
    var13=(vector float)si_fm((arg_t)var12,(arg_t)var12);
    var42=(vector float)si_fma((arg_t)var13,(arg_t)var38,(arg_t)var41);
    var46=(vector float)si_fma((arg_t)var13,(arg_t)var42,(arg_t)var45);
    var47=(vector float)si_fm((arg_t)var12,(arg_t)var46);
    var52=(vector float)si_fm((arg_t)var47,(arg_t)var35);
    var50=(vector float)si_fm((arg_t)var47,(arg_t)var49);
    var26=(vector float)si_fma((arg_t)var13,(arg_t)var22,(arg_t)var25);
    var30=(vector float)si_fma((arg_t)var13,(arg_t)var26,(arg_t)var29);
    *var53=(vector float)si_fms((arg_t)var30,(arg_t)var49,(arg_t)var52);
    *var51=(vector float)si_fma((arg_t)var30,(arg_t)var35,(arg_t)var50);
}

#endif /* MASS_SINCOS_H */
