/**********************************************************************/
/*                                                                    */
/*   Licensed Materials - Property of IBM.                            */
/*   5724-T42 5724-T43 5724-T44                                       */
/*   Copyright IBM Corp. and by others 2007.                          */
/*   All Rights Reserved.                                             */
/*   US Government Users Restricted Rights -                          */
/*   Use, duplication or disclosure restricted by                     */
/*   GSA ADP Schedule Contract with IBM Corp.                         */
/*                                                                    */
/**********************************************************************/

#ifndef MASS_SINH_H
#define MASS_SINH_H1
#include <spu_intrinsics.h>
#ifdef __IBMC__
typedef vector unsigned char arg_t;
#else
typedef vector signed char arg_t;
#endif
static __inline vector float _sinhf4(vector float var1){
    vector float var10;
    vector float var11;
    vector float var12;
    vector float var13;
    vector float var14;
    vector float var15;
    vector float var16;
    vector float var17;
    vector float var18;
    vector float var19;
    vector float var2;
    vector float var20;
    vector float var21;
    vector float var22;
    vector float var23;
    vector float var24;
    vector float var25;
    vector float var26;
    vector float var27;
    vector float var28;
    vector float var29;
    vector float var3;
    vector float var30;
    vector float var31;
    vector float var32;
    vector float var33;
    vector float var34;
    vector float var35;
    vector float var36;
    vector float var37;
    vector float var38;
    vector float var39;
    vector float var4;
    vector float var40;
    vector float var41;
    vector float var42;
    vector float var43;
    vector float var44;
    vector float var45;
    vector float var46;
    vector float var47;
    vector float var48;
    vector float var49;
    vector float var5;
    vector float var50;
    vector float var51;
    vector float var52;
    vector float var53;
    vector float var54;
    vector float var55;
    vector float var56;
    vector float var57;
    vector float var58;
    vector float var59;
    vector float var6;
    vector float var60;
    vector float var61;
    vector float var62;
    vector float var63;
    vector float var64;
    vector float var65;
    vector float var66;
    vector float var67;
    vector float var68;
    vector float var69;
    vector float var7;
    vector float var70;
    vector float var8;
    vector float var9;
    var10=(vector float)(vector unsigned char){0,31,255,255,0,31,255,255,0,31,255,255,0,31,255,255};
    var12=(vector float)(vector unsigned char){0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15};
    var13=(vector float)(vector unsigned char){13,0,0,0,13,0,0,0,13,0,0,0,13,0,0,0};
    var14=(vector float)(vector unsigned char){15,240,0,0,15,240,0,0,15,240,0,0,15,240,0,0};
    var16=(vector float)(vector unsigned char){0,0,0,0,4,4,4,4,8,8,8,8,12,12,12,12};
    var18=(vector float)(vector unsigned char){16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16};
    var21=(vector float)(vector unsigned char){57,85,172,46,57,98,68,73,57,110,209,7,57,124,1,35};
    var22=(vector float)(vector unsigned char){60,171,235,213,60,204,115,48,60,243,34,34,61,16,145,101};
    var26=(vector float)(vector unsigned char){1,1,1,1,5,5,5,5,9,9,9,9,13,13,13,13};
    var28=(vector float)(vector unsigned char){12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12};
    var3=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var31=(vector float)(vector unsigned char){60,8,123,112,60,7,227,78,60,6,179,8,60,4,213,254};
    var32=(vector float)(vector unsigned char){60,218,129,79,61,1,236,134,61,26,129,166,61,55,189,124};
    var35=(vector float)(vector unsigned char){62,42,170,205,62,42,180,209,62,42,219,159,62,43,53,231};
    var36=(vector float)(vector unsigned char){62,140,145,219,62,167,42,163,62,198,203,176,62,236,104,194};
    var39=(vector float)(vector unsigned char){63,128,0,0,63,127,255,23,63,127,248,109,63,127,225,139};
    var4=(vector float)(vector unsigned char){128,0,0,0,128,0,0,0,128,0,0,0,128,0,0,0};
    var40=(vector float)(vector unsigned char){63,44,88,170,63,76,244,155,63,115,188,10,63,144,236,232};
    var44=(vector float)(vector unsigned char){51,128,0,0,51,128,0,0,51,128,0,0,51,128,0,0};
    var46=(vector float)(vector unsigned char){0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0};
    var47=(vector float)(vector unsigned char){63,128,149,129,63,152,233,187,63,181,216,98,63,216,64,108};
    var51=(vector float)(vector unsigned char){62,128,0,1,62,128,0,1,62,128,0,1,62,128,0,1};
    var52=(vector float)(vector unsigned char){0,127,255,255,0,127,255,255,0,127,255,255,0,127,255,255};
    var54=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var56=(vector float)(vector unsigned char){53,0,0,0,53,0,0,0,53,0,0,0,53,0,0,0};
    var6=(vector float)(vector unsigned char){63,184,170,59,63,184,170,59,63,184,170,59,63,184,170,59};
    var61=(vector float)(vector unsigned char){63,128,0,0,63,128,0,0,63,128,0,0,63,128,0,0};
    var66=(vector float)(vector unsigned char){127,255,255,255,127,255,255,255,127,255,255,255,127,255,255,255};
    var67=(vector float)(vector unsigned char){66,180,55,224,66,180,55,224,66,180,55,224,66,180,55,224};
    var7=(vector float)(vector unsigned char){192,0,0,0,192,0,0,0,192,0,0,0,192,0,0,0};
    var5=(vector float)si_andc((arg_t)var1,(arg_t)var4);
    var68=(vector float)si_fcmgt((arg_t)var5,(arg_t)var67);
    var45=(vector float)si_fm((arg_t)var5,(arg_t)var44);
    var8=(vector float)si_fma((arg_t)var5,(arg_t)var6,(arg_t)var7);
    var9=(vector float)si_cflts((arg_t)var8,(int)23);
    var53=(vector float)si_andc((arg_t)var9,(arg_t)var52);
    var55=(vector float)si_a((arg_t)var53,(arg_t)var54);
    var57=(vector float)si_fm((arg_t)var55,(arg_t)var56);
    var23=(vector float)si_rotqbii((arg_t)var9,(int)-3);
    var24=(vector float)si_rotqbyi((arg_t)var23,(int)15);
    var11=(vector float)si_selb((arg_t)var3,(arg_t)var9,(arg_t)var10);
    var2=(vector float)si_fm((arg_t)var1,(arg_t)var1);
    var15=(vector float)si_fma((arg_t)var2,(arg_t)var13,(arg_t)var14);
    var17=(vector float)si_shufb((arg_t)var15,(arg_t)var15,(arg_t)var16);
    var19=(vector float)si_selb((arg_t)var12,(arg_t)var17,(arg_t)var18);
    var43=(vector float)si_shufb((arg_t)var5,(arg_t)var11,(arg_t)var19);
    var25=(vector float)si_shufb((arg_t)var15,(arg_t)var24,(arg_t)var19);
    var27=(vector float)si_shufb((arg_t)var25,(arg_t)var25,(arg_t)var26);
    var29=(vector float)si_selb((arg_t)var19,(arg_t)var27,(arg_t)var28);
    var48=(vector float)si_shufb((arg_t)var46,(arg_t)var47,(arg_t)var29);
    var49=(vector float)si_shufb((arg_t)var45,(arg_t)var48,(arg_t)var19);
    var41=(vector float)si_shufb((arg_t)var39,(arg_t)var40,(arg_t)var29);
    var37=(vector float)si_shufb((arg_t)var35,(arg_t)var36,(arg_t)var29);
    var33=(vector float)si_shufb((arg_t)var31,(arg_t)var32,(arg_t)var29);
    var30=(vector float)si_shufb((arg_t)var21,(arg_t)var22,(arg_t)var29);
    var20=(vector float)si_shufb((arg_t)var2,(arg_t)var11,(arg_t)var19);
    var34=(vector float)si_fma((arg_t)var20,(arg_t)var30,(arg_t)var33);
    var38=(vector float)si_fma((arg_t)var20,(arg_t)var34,(arg_t)var37);
    var42=(vector float)si_fma((arg_t)var20,(arg_t)var38,(arg_t)var41);
    var50=(vector float)si_fma((arg_t)var42,(arg_t)var43,(arg_t)var49);
    var58=(vector float)si_fma((arg_t)var55,(arg_t)var50,(arg_t)var57);
    var59=(vector float)si_frest((arg_t)var58);
    var60=(vector float)si_fi((arg_t)var58,(arg_t)var59);
    var62=(vector float)si_fnms((arg_t)var58,(arg_t)var60,(arg_t)var61);
    var63=(vector float)si_fma((arg_t)var62,(arg_t)var60,(arg_t)var60);
    var64=(vector float)si_fnms((arg_t)var51,(arg_t)var63,(arg_t)var58);
    var65=(vector float)si_shufb((arg_t)var50,(arg_t)var64,(arg_t)var19);
    var69=(vector float)si_selb((arg_t)var65,(arg_t)var66,(arg_t)var68);
    var70=(vector float)si_selb((arg_t)var69,(arg_t)var1,(arg_t)var4);
    return var70;
}

#endif /* MASS_SINH_H */
